
/* ##############################################################
	설  명 : [Modal]1:1문의 답변 수정 팝업
	작성일 : 2023. 01. 19.
	작성자 : NTsoft
	수정일 	        수정자 	 수정내용
	-------         -------- ---------------------------
	2023. 01. 19.	NTsoft 	 최초 생성
*/
let appUserInquiryUpdateModal = {
    callback : null,
    reqParam : null,
    dataList : null,
    /* 모달 초기화 작업 */
    init : function () {
        $('#appUserInquiryUpdateModal').remove();
        $('body').append( this.HtmlTemplate);
        //그리드 이벤트
        this.setEvent();
    },
    /* 그리드 이벤트 설정 */
    setEvent:function() {
        $('#appUserInquiryUpdateModal .btnCancle').on("click", function(){
            appUserInquiryUpdateModal.close();
        });

        $('#appUserInquiryUpdateModal .btnSave').on("click", function(){
            appUserInquiryUpdateModal.save("I");
        });
    },
    // 상세 조회
    search:function(state) {
        let muAppUserInquiryId = appUserInquiryUpdateModal.reqParam.muAppUserInquiryId;

        if(true != fn_emptyCheck(muAppUserInquiryId)){
            modalEvent.warning("조회", "문의사항 정보가 없습니다.");
            return;
        }

        let formData = new FormData();
        formData.append("menuClass", menuClass);
        formData.append("muAppUserInquiryId", muAppUserInquiryId);

        $.ajax({
            url: encodeURI('/webuserinquiry/selectAppUserInquiry.do'),
            data: formData,
            dataType: "json",
            processData: false,
            contentType: false,
            type: 'POST',
            async: true,
            success: function(data){
                if('0'==data.msgCode){
                    $("#appUserInquiryUpdateModal .modal-header p").text(data.rows[0].userName+' 문의내역');
                    $("#appUserInquiryUpdateModal #modalTitle").text(data.rows[0].title);
                    $("#appUserInquiryUpdateModal #modalContent").text(data.rows[0].content);
                    $("#appUserInquiryUpdateModal #answer").val(data.rows[0].answer);
                }
                else{
                    modalEvent.danger("조회 오류", data.msgDesc);
                }
            },
            error : function(xhr, status, error) {
                modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
            },
            beforeSend:function(){

            },
            complete:function(){

            }
        });
    },
    //저장
    save:function(state) {
        let muAppUserInquiryId = appUserInquiryUpdateModal.reqParam.muAppUserInquiryId;
        let answer        = $("#appUserInquiryUpdateModal #answer").val();

        if(true != fn_emptyCheck(muAppUserInquiryId)){
            modalEvent.warning("수정", "문의내역 정보가 없습니다.");
            return;
        }


        if(true != fn_emptyCheck(answer)){
            modalEvent.warning("수정", "답변 정보가 없습니다.");
            return;
        }


        modalEvent.info("수정", "문의사항 답변 정보를 수정하시겠습니까?", function(){
            let formData = new FormData();
            formData.append("menuClass", menuClass);
            formData.append("muAppUserInquiryId", muAppUserInquiryId);
            formData.append("answer", answer);

            $.ajax({
                url: encodeURI('/webuserinquiry/updateAppUserInquiry.do'),
                data: formData,
                dataType: "json",
                processData: false,
                contentType: false,
                type: 'POST',
                async: true,
                success: function(data){
                    if('0'==data.msgCode){
                        modalEvent.success("수정 성공", "수정되었습니다", function(){
                            if( appUserInquiryUpdateModal.callback )  {
                                appUserInquiryUpdateModal.callback();
                            }
                            appUserInquiryUpdateModal.close();
                        });
                    }
                    else{
                        modalEvent.danger("수정 오류", data.msgDesc);
                    }
                },
                error : function(xhr, status, error) {
                    modalEvent.danger("수정 오류", "등록 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
                },
                beforeSend:function(){

                },
                complete:function(){

                }
            });
        });
    },
    /*
     * 팝업
     * callback : 콜백함수, reqParam: 팝업파라미터
     */
    popup:function(callback, reqParam) {
        // 초기화 후 열기
        appUserInquiryUpdateModal.init();

        //콜백함수 지정.
        appUserInquiryUpdateModal.callback = callback;
        appUserInquiryUpdateModal.reqParam = reqParam;
        appUserInquiryUpdateModal.dataList = null;

        setTimeout(function(){
            $('#appUserInquiryUpdateModal').modal('show')
        }, 200);

        appUserInquiryUpdateModal.search();
    },
    /*
     * 팝업 닫기
     */
    close:function() {
        $('#appUserInquiryUpdateModal').modal('hide');

		setTimeout(function(){
			$('#appUserInquiryUpdateModal').remove();
		},500);
    },
    HtmlTemplate : `
	<div id="appUserInquiryUpdateModal" class="modal inquiry_modal fade" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<p class="title">- 문의내역</p>
				</div>
	
				<div class="modal-body">
					<div class="inquiry_box">
						<div class="inquiry_title">
							<p id="modalTitle"></p>
						</div>

						<div class="inquiry_content">
                            <p id="modalContent"></p>
                        </div>
                    </div>
                    <div class="textarea_box">
                        <label>문의 답변</label>
                        <textarea placeholder="내용을 입력해주세요." id="answer"></textarea>
                    </div>
				</div>

				<div class="modal-footer">
					<div class="btn_box">
						<button type="button" class="cancel_btn btnCancle">취소</button>
						<button type="button" class="correction_bth btnSave">답변</button>
					</div>
				</div>
			</div>
		</div>
	</div>
    `
};